## Supported Modules

### ESP8266 based
The following ESP8266 based hardware modules are supported.

Module             | LCode | Description
-------------------|-------|-----------------------
01 Sonoff Basic    |       | Sonoff Basic Wi-Fi Smart Switch
02 Sonoff RF       |       | Sonoff RF Wi-Fi Smart Switch with RF (434MHz) receiver
03 Sonoff SV       |       | Sonoff SV Safe Voltage Wi-Fi Smart Switch
04 Sonoff TH       |       | Sonoff TH10/TH16 Wi-Fi Smart Switch with Sensor connection
05 Sonoff Dual     |   x   | Sonoff Dual Wi-Fi Smart Switch
06 Sonoff Pow      |       | Sonoff Pow Wi-Fi Smart Switch with Energy Monitoring
07 Sonoff 4CH      |       | Sonoff 4CH 4-gang Wi-Fi Smart Switch
08 Sonoff S2X      |       | Sonoff S20/S26 Wi-Fi Smart Socket
09 Slampher        |       | Sonoff Slampher Wi-Fi Smart Light Bulb Socket with RF (434MHz) receiver
10 Sonoff Touch    |   x   | Sonoff Touch Wi-Fi Light Switch
11 Sonoff LED      |   x   | Sonoff Led Wi-Fi Led Pack (Retired)
12 1 Channel       |       | 1 Channel Inching/Self Locking Wi-Fi Switch 5V/12V
13 4 Channel       |   x   | 4 Channel Inching/Self Locking Wi-Fi Switch (Retired)
14 Motor C/AC      |   x   | Motor Clockwise/Antoclockwise Wi-Fi Switch (Retired)
15 ElectroDragon   |       | Electrodragon Wi-Fi IoT Board
16 EXS Relay(s)    |   x   | Electronic Experience Store 1 or 2-gang Wi-Fi Module
17 WiOn            |       | WiOn Wi-Fi Smart Socket
18 Generic         |   x   | Any ESP8266/ESP8285 device like WeMos and NodeMCU
19 Sonoff Dev      |       | Sonoff Dev Wi-Fi Development Board
20 H801            |   x   | H801 Wi-Fi 5 Channel LED Controller
21 Sonoff SC       |   x   | Sonoff SC Wi-Fi Environmental Monitor
22 Sonoff BN-SZ    |   x   | Sonoff BN-SZ01 Wi-Fi Ceiling Led (Retired)
23 Sonoff 4CH Pro  |   x   | Sonoff 4CH Pro 4-gang Wi-Fi Smart Switch
24 Huafan SS       |       | HuaFan Wi-Fi Smart Socket
25 Sonoff Bridge   |   x   | Sonoff RF (434MHz) transceive to Wi-Fi Bridge
26 Sonoff B1       |   x   | Sonoff B1 Wi-Fi RGBWW Led Bulb
27 AiLight         |   x   | Ai-Thinker RGBW Led Bulb
28 Sonoff T1 1CH   |   x   | Sonoff T1 1-gang Wi-Fi Light Switch
29 Sonoff T1 2CH   |   x   | Sonoff T1 2-gang Wi-Fi Light Switch
30 Sonoff T1 3CH   |   x   | Sonoff T1 3-gang Wi-Fi Light Switch
31 Supla Espablo   |       | 2-gang Wi-Fi Module
32 Witty Cloud     |       | Witty Cloud ESP8266 Wi-Fi Development Board
33 Yunshan Relay   |       | ESP8266 Wi-Fi Network Relay Module
34 MagicHome       |       | MagicHome, Flux-light and some Arilux LC10 RGB(W) Led Controller
35 Luani HVIO      |       | Luani ESP8266 Wi-Fi I/O Module
36 KMC 70011       |       | KMC Wi-Fi Smart Socket with Energy Monitoring
37 Arilux LC01     |       | Arilux AL-LC01 RGB Led Controller
38 Arilux LC11     |       | Arilux AL-LC11 RGBWW Led Controller
39 Sonoff Dual R2  |   x   | Sonoff Dual R2 Wi-Fi Smart Switch
40 Arilux LC06     |       | Arilux AL-LC06 RGB(WW) Led Controller
41 Sonoff S31      |       | Sonoff S31 Wi-Fi Smart Socket with Energy Monitoring
42 Zengge WF017    |       | Zengge WF017 Wi-Fi RGB(W) Led Controller
43 Sonoff Pow R2   |       | Sonoff Pow R2 Wi-Fi Smart Switch with Energy Monitoring
44 Sonoff iFan02   |   x   | Sonoff iFan02 Wi-Fi Smart Ceiling Fan with Light
45 BlitzWolf SHP   |       | BlitzWolf BW-SHP2, BW-SHP6, HomeCube SP1, Gosund SP111, Teckin SP22 Wi-Fi Smart Switch with Energy Monitoring
46 Shelly 1        |       | Shelly 1 Open Source Wi-Fi Relay Module
47 Shelly 2        |       | Shelly 2 Wi-Fi 2-gang Relay Module with Energy Monitoring
48 Xiaomi Philips  |   x   | Xiaomi Philips Wi-Fi WW Led Bulb
49 Neo Coolcam     |       | Neo Coolcam Wi-Fi Smart Socket
50 ESP Switch      |       | ESP Switch 4-gang Wi-Fi Switch with Leds
51 OBI Socket      |       | OBI Wi-Fi Smart Socket
52 Teckin          |       | Teckin SP22 Wi-Fi Smart Switch with Energy Monitoring
53 AplicWDP303075  |       | Aplic WDP 303075 CSL Wi-Fi Smart Switch with Energy Monitoring
54 TuyaMCU         |   x   | Devices with an MCU using Tuya communication protocol for control
55 Gosund SP1 v23  |       | Gosund SP1 v2.3 Wi-Fi Smart Switch with Energy Monitoring
56 ARMTR Dimmer    |   x   | ARMtronix Wi-Fi dimmer for Incandescent Lights and Led
57 SK03 Outdoor    |   x   | SK03 Outdoor Wi-Fi Smart Switch with Energy Monitoring
58 PS-16-DZ        |   x   | PS-16-DZ  Wi-Fi dimmer for Incandescent Lights and Led
59 Teckin US       |       | Teckin SP20 and ZooZee SA102 Wi-Fi Smart Switch with Energy Monitoring
60 Manzoku strip   |       | Manzoku Wi-Fi Smart Power Strip with four Relays
61 OBI Socket 2    |       | OBI 2 Wi-Fi Smart Socket
62 YTF IR Bridge   |   x   | YTF Universal IR Bridge
63 Digoo DG-SP202  |       | Digoo DG-SP202 Dual Wi-Fi Smart Switch with Energy Monitoring
64 KA10            |       | Smanergy KA10 Wi-Fi Smart Wall Switch with Energy Monitoring
65 Luminea ZX2820  |       | Luminea ZX2820 Wi-Fi Smart Switch with Energy Monitoring
66 Mi Desk Lamp    |       | Mi Desk Lamp with rotary switch and Wi-Fi
67 SP10            |       | Tuya SP10 Wi-Fi Smart Switch with Energy Monitoring
68 WAGA CHCZ02MB   |       | WAGA life CHCZ02MB Wi-Fi Smart Switch with Energy Monitoring
69 SYF05           |       | Sunyesmart SYF05 RGBWW Wi-Fi Led Bulb
70 Sonoff L1       |   x   | Sonoff L1 light strip
71 Sonoff iFan03   |   x   | Sonoff iFan03 Wi-Fi Smart Ceiling Fan with Light
72 EXS Dimmer      |   x   | EXS Wi-Fi Dimmer v4
73 PWM Dimmer      |   x   | Martin Jerry/acenx/Tessan/NTONPOWER SD0x PWM Dimmer Switches
74 Sonoff D1       |   x   | Sonoff D1 Wi-Fi and RF Dimmer
75 Sonoff ZbBridge |   x   | Sonoff Zigbee bridge

### ESP32 based
The following ESP32 based hardware modules are supported.

Module             | LCode | Description
-------------------|-------|-----------------------
01 ESP32-DevKit    |   x   | Any ESP32 device
02 ESP32-Cam       |   x   | ESP32 webcam
03 Odroid Go       |   x   | Odroid Go
04 ESP32-Solo      |   x   | ESP32-Solo
05 WT32-Eth01      |   x   | WT32-Eth01 ethernet
06 TTGO Watch      |   x   | TTGO Watch
07 M5Stack Core2   |   x   | M5Stack Core2

Over 2500 additional devices are supported using [templates](TEMPLATES.md).
