// ======================================================================
// Functions
// ======================================================================

load_font=@lv0_load_font

// lv_anim_path_functions
anim_path_bounce=&lv_anim_path_bounce
anim_path_ease_in=&lv_anim_path_ease_in
anim_path_ease_in_out=&lv_anim_path_ease_in_out
anim_path_ease_out=&lv_anim_path_ease_out
anim_path_linear=&lv_anim_path_linear
anim_path_overshoot=&lv_anim_path_overshoot
anim_path_step=&lv_anim_path_step

// ======================================================================
// Colors
// ======================================================================
// LV Colors - we store in 24 bits format and will convert at runtime
// This is specific treatment because we keep colors in 24 bits format
COLOR_WHITE=0xFFFFFF
COLOR_SILVER=0xC0C0C0
COLOR_GRAY=0x808080
COLOR_BLACK=0x000000
COLOR_RED=0xFF0000
COLOR_MAROON=0x800000
COLOR_YELLOW=0xFFFF00
COLOR_OLIVE=0x808000
COLOR_LIME=0x00FF00
COLOR_GREEN=0x008000
COLOR_CYAN=0x00FFFF
COLOR_AQUA=0x00FFFF
COLOR_TEAL=0x008080
COLOR_BLUE=0x0000FF
COLOR_NAVY=0x000080
COLOR_MAGENTA=0xFF00FF
COLOR_ORANGE=0xFF7F00
COLOR_PURPLE=0x800080

// Freetype
FT_FONT_STYLE_NORMAL=FT_FONT_STYLE_NORMAL
FT_FONT_STYLE_ITALIC=FT_FONT_STYLE_ITALIC
FT_FONT_STYLE_BOLD=FT_FONT_STYLE_BOLD

// following are #define, not enum
LV_GRID_FR=LV_GRID_FR(0)

// ======================================================================
// Symbols
// ======================================================================

SYMBOL_AUDIO="\xef\x80\x81"
SYMBOL_VIDEO="\xef\x80\x88"
SYMBOL_LIST="\xef\x80\x8b"
SYMBOL_OK="\xef\x80\x8c"
SYMBOL_CLOSE="\xef\x80\x8d"
SYMBOL_POWER="\xef\x80\x91"
SYMBOL_SETTINGS="\xef\x80\x93"
SYMBOL_HOME="\xef\x80\x95"
SYMBOL_DOWNLOAD="\xef\x80\x99"
SYMBOL_DRIVE="\xef\x80\x9c"
SYMBOL_REFRESH="\xef\x80\xa1"
SYMBOL_MUTE="\xef\x80\xa6"
SYMBOL_VOLUME_MID="\xef\x80\xa7"
SYMBOL_VOLUME_MAX="\xef\x80\xa8"
SYMBOL_IMAGE="\xef\x80\xbe"
SYMBOL_EDIT="\xef\x8C\x84"
SYMBOL_PREV="\xef\x81\x88"
SYMBOL_PLAY="\xef\x81\x8b"
SYMBOL_PAUSE="\xef\x81\x8c"
SYMBOL_STOP="\xef\x81\x8d"
SYMBOL_NEXT="\xef\x81\x91"
SYMBOL_EJECT="\xef\x81\x92"
SYMBOL_LEFT="\xef\x81\x93"
SYMBOL_RIGHT="\xef\x81\x94"
SYMBOL_PLUS="\xef\x81\xa7"
SYMBOL_MINUS="\xef\x81\xa8"
SYMBOL_EYE_OPEN="\xef\x81\xae"
SYMBOL_EYE_CLOSE="\xef\x81\xb0"
SYMBOL_WARNING="\xef\x81\xb1"
SYMBOL_SHUFFLE="\xef\x81\xb4"
SYMBOL_UP="\xef\x81\xb7"
SYMBOL_DOWN="\xef\x81\xb8"
SYMBOL_LOOP="\xef\x81\xb9"
SYMBOL_DIRECTORY="\xef\x81\xbb"
SYMBOL_UPLOAD="\xef\x82\x93"
SYMBOL_CALL="\xef\x82\x95"
SYMBOL_CUT="\xef\x83\x84"
SYMBOL_COPY="\xef\x83\x85"
SYMBOL_SAVE="\xef\x83\x87"
SYMBOL_CHARGE="\xef\x83\xa7"
SYMBOL_PASTE="\xef\x83\xAA"
SYMBOL_BELL="\xef\x83\xb3"
SYMBOL_KEYBOARD="\xef\x84\x9c"
SYMBOL_GPS="\xef\x84\xa4"
SYMBOL_FILE="\xef\x85\x9b"
SYMBOL_WIFI="\xef\x87\xab"
SYMBOL_BATTERY_FULL="\xef\x89\x80"
SYMBOL_BATTERY_3="\xef\x89\x81"
SYMBOL_BATTERY_2="\xef\x89\x82"
SYMBOL_BATTERY_1="\xef\x89\x83"
SYMBOL_BATTERY_EMPTY="\xef\x89\x84"
SYMBOL_USB="\xef\x8a\x87"
SYMBOL_BLUETOOTH="\xef\x8a\x93"
SYMBOL_TRASH="\xef\x8B\xAD"
SYMBOL_BACKSPACE="\xef\x95\x9A"
SYMBOL_SD_CARD="\xef\x9F\x82"
SYMBOL_NEW_LINE="\xef\xA2\xA2"

SYMBOL_DUMMY="\xEF\xA3\xBF"

SYMBOL_BULLET="\xE2\x80\xA2"

// ======================================================================
// Generated from headers
// ======================================================================

// File: ../../lvgl/src/core/lv_disp.h
LV_SCR_LOAD_ANIM_NONE
LV_SCR_LOAD_ANIM_OVER_LEFT
LV_SCR_LOAD_ANIM_OVER_RIGHT
LV_SCR_LOAD_ANIM_OVER_TOP
LV_SCR_LOAD_ANIM_OVER_BOTTOM
LV_SCR_LOAD_ANIM_MOVE_LEFT
LV_SCR_LOAD_ANIM_MOVE_RIGHT
LV_SCR_LOAD_ANIM_MOVE_TOP
LV_SCR_LOAD_ANIM_MOVE_BOTTOM
LV_SCR_LOAD_ANIM_FADE_IN
LV_SCR_LOAD_ANIM_FADE_ON
LV_SCR_LOAD_ANIM_FADE_OUT
LV_SCR_LOAD_ANIM_OUT_LEFT
LV_SCR_LOAD_ANIM_OUT_RIGHT
LV_SCR_LOAD_ANIM_OUT_TOP
LV_SCR_LOAD_ANIM_OUT_BOTTOM

// File: ../../lvgl/src/core/lv_event.h
LV_EVENT_ALL
LV_EVENT_PRESSED
LV_EVENT_PRESSING
LV_EVENT_PRESS_LOST
LV_EVENT_SHORT_CLICKED
LV_EVENT_LONG_PRESSED
LV_EVENT_LONG_PRESSED_REPEAT
LV_EVENT_CLICKED
LV_EVENT_RELEASED
LV_EVENT_SCROLL_BEGIN
LV_EVENT_SCROLL_END
LV_EVENT_SCROLL
LV_EVENT_GESTURE
LV_EVENT_KEY
LV_EVENT_FOCUSED
LV_EVENT_DEFOCUSED
LV_EVENT_LEAVE
LV_EVENT_HIT_TEST
LV_EVENT_COVER_CHECK
LV_EVENT_REFR_EXT_DRAW_SIZE
LV_EVENT_DRAW_MAIN_BEGIN
LV_EVENT_DRAW_MAIN
LV_EVENT_DRAW_MAIN_END
LV_EVENT_DRAW_POST_BEGIN
LV_EVENT_DRAW_POST
LV_EVENT_DRAW_POST_END
LV_EVENT_DRAW_PART_BEGIN
LV_EVENT_DRAW_PART_END
LV_EVENT_VALUE_CHANGED
LV_EVENT_INSERT
LV_EVENT_REFRESH
LV_EVENT_READY
LV_EVENT_CANCEL
LV_EVENT_DELETE
LV_EVENT_CHILD_CHANGED
LV_EVENT_CHILD_CREATED
LV_EVENT_CHILD_DELETED
LV_EVENT_SCREEN_UNLOAD_START
LV_EVENT_SCREEN_LOAD_START
LV_EVENT_SCREEN_LOADED
LV_EVENT_SCREEN_UNLOADED
LV_EVENT_SIZE_CHANGED
LV_EVENT_STYLE_CHANGED
LV_EVENT_LAYOUT_CHANGED
LV_EVENT_GET_SELF_SIZE
LV_EVENT_PREPROCESS

// File: ../../lvgl/src/core/lv_group.h
LV_KEY_UP
LV_KEY_DOWN
LV_KEY_RIGHT
LV_KEY_LEFT
LV_KEY_ESC
LV_KEY_DEL
LV_KEY_BACKSPACE
LV_KEY_ENTER
LV_KEY_NEXT
LV_KEY_PREV
LV_KEY_HOME
LV_KEY_END

LV_GROUP_REFOCUS_POLICY_NEXT
LV_GROUP_REFOCUS_POLICY_PREV
// File: ../../lvgl/src/core/lv_indev.h
// File: ../../lvgl/src/core/lv_indev_scroll.h
// File: ../../lvgl/src/core/lv_obj.h
LV_STATE_DEFAULT
LV_STATE_CHECKED
LV_STATE_FOCUSED
LV_STATE_FOCUS_KEY
LV_STATE_EDITED
LV_STATE_HOVERED
LV_STATE_PRESSED
LV_STATE_SCROLLED
LV_STATE_DISABLED
LV_STATE_USER_1
LV_STATE_USER_2
LV_STATE_USER_3
LV_STATE_USER_4
LV_STATE_ANY

LV_PART_MAIN
LV_PART_SCROLLBAR
LV_PART_INDICATOR
LV_PART_KNOB
LV_PART_SELECTED
LV_PART_ITEMS
LV_PART_TICKS
LV_PART_CURSOR
LV_PART_CUSTOM_FIRST
LV_PART_ANY

LV_OBJ_FLAG_HIDDEN
LV_OBJ_FLAG_CLICKABLE
LV_OBJ_FLAG_CLICK_FOCUSABLE
LV_OBJ_FLAG_CHECKABLE
LV_OBJ_FLAG_SCROLLABLE
LV_OBJ_FLAG_SCROLL_ELASTIC
LV_OBJ_FLAG_SCROLL_MOMENTUM
LV_OBJ_FLAG_SCROLL_ONE
LV_OBJ_FLAG_SCROLL_CHAIN_HOR
LV_OBJ_FLAG_SCROLL_CHAIN_VER
LV_OBJ_FLAG_SCROLL_CHAIN
LV_OBJ_FLAG_SCROLL_ON_FOCUS
LV_OBJ_FLAG_SCROLL_WITH_ARROW
LV_OBJ_FLAG_SNAPPABLE
LV_OBJ_FLAG_PRESS_LOCK
LV_OBJ_FLAG_EVENT_BUBBLE
LV_OBJ_FLAG_GESTURE_BUBBLE
LV_OBJ_FLAG_ADV_HITTEST
LV_OBJ_FLAG_IGNORE_LAYOUT
LV_OBJ_FLAG_FLOATING
LV_OBJ_FLAG_OVERFLOW_VISIBLE
LV_OBJ_FLAG_LAYOUT_1
LV_OBJ_FLAG_LAYOUT_2
LV_OBJ_FLAG_WIDGET_1
LV_OBJ_FLAG_WIDGET_2
LV_OBJ_FLAG_USER_1
LV_OBJ_FLAG_USER_2
LV_OBJ_FLAG_USER_3
LV_OBJ_FLAG_USER_4

LV_OBJ_DRAW_PART_RECTANGLE
LV_OBJ_DRAW_PART_BORDER_POST
LV_OBJ_DRAW_PART_SCROLLBAR

// File: ../../lvgl/src/core/lv_obj_class.h
LV_OBJ_CLASS_EDITABLE_INHERIT
LV_OBJ_CLASS_EDITABLE_TRUE
LV_OBJ_CLASS_EDITABLE_FALSE

LV_OBJ_CLASS_GROUP_DEF_INHERIT
LV_OBJ_CLASS_GROUP_DEF_TRUE
LV_OBJ_CLASS_GROUP_DEF_FALSE

// File: ../../lvgl/src/core/lv_obj_draw.h
LV_COVER_RES_COVER
LV_COVER_RES_NOT_COVER
LV_COVER_RES_MASKED

LV_LAYER_TYPE_NONE
LV_LAYER_TYPE_SIMPLE
LV_LAYER_TYPE_TRANSFORM

// File: ../../lvgl/src/core/lv_obj_pos.h
// File: ../../lvgl/src/core/lv_obj_scroll.h
LV_SCROLLBAR_MODE_OFF
LV_SCROLLBAR_MODE_ON
LV_SCROLLBAR_MODE_ACTIVE
LV_SCROLLBAR_MODE_AUTO

LV_SCROLL_SNAP_NONE
LV_SCROLL_SNAP_START
LV_SCROLL_SNAP_END
LV_SCROLL_SNAP_CENTER
// File: ../../lvgl/src/core/lv_obj_style.h

// File: ../../lvgl/src/core/lv_obj_style_gen.h
// File: ../../lvgl/src/core/lv_obj_tree.h
LV_OBJ_TREE_WALK_NEXT
LV_OBJ_TREE_WALK_SKIP_CHILDREN
LV_OBJ_TREE_WALK_END

// File: ../../lvgl/src/core/lv_refr.h
// File: ../../lvgl/src/core/lv_theme.h
// File: ../../lvgl/src/draw/lv_draw.h
// File: ../../lvgl/src/draw/lv_draw_arc.h
// File: ../../lvgl/src/draw/lv_draw_img.h
// File: ../../lvgl/src/draw/lv_draw_label.h
// File: ../../lvgl/src/draw/lv_draw_layer.h
LV_DRAW_LAYER_FLAG_NONE
LV_DRAW_LAYER_FLAG_HAS_ALPHA
LV_DRAW_LAYER_FLAG_CAN_SUBDIVIDE

// File: ../../lvgl/src/draw/lv_draw_line.h
// File: ../../lvgl/src/draw/lv_draw_mask.h
LV_DRAW_MASK_RES_TRANSP
LV_DRAW_MASK_RES_FULL_COVER
LV_DRAW_MASK_RES_CHANGED
LV_DRAW_MASK_RES_UNKNOWN
LV_DRAW_MASK_TYPE_LINE
LV_DRAW_MASK_TYPE_ANGLE
LV_DRAW_MASK_TYPE_RADIUS
LV_DRAW_MASK_TYPE_FADE
LV_DRAW_MASK_TYPE_MAP
LV_DRAW_MASK_TYPE_POLYGON

LV_DRAW_MASK_LINE_SIDE_LEFT
LV_DRAW_MASK_LINE_SIDE_RIGHT
LV_DRAW_MASK_LINE_SIDE_TOP
LV_DRAW_MASK_LINE_SIDE_BOTTOM

// File: ../../lvgl/src/draw/lv_draw_rect.h
LV_RADIUS_CIRCLE
// File: ../../lvgl/src/draw/lv_draw_transform.h
// File: ../../lvgl/src/draw/lv_draw_triangle.h
// File: ../../lvgl/src/draw/lv_img_buf.h
LV_IMG_CF_UNKNOWN
LV_IMG_CF_RAW
LV_IMG_CF_RAW_ALPHA
LV_IMG_CF_RAW_CHROMA_KEYED
LV_IMG_CF_TRUE_COLOR
LV_IMG_CF_TRUE_COLOR_ALPHA
LV_IMG_CF_TRUE_COLOR_CHROMA_KEYED
LV_IMG_CF_INDEXED_1BIT
LV_IMG_CF_INDEXED_2BIT
LV_IMG_CF_INDEXED_4BIT
LV_IMG_CF_INDEXED_8BIT
LV_IMG_CF_ALPHA_1BIT
LV_IMG_CF_ALPHA_2BIT
LV_IMG_CF_ALPHA_4BIT
LV_IMG_CF_ALPHA_8BIT
LV_IMG_CF_RGB888
LV_IMG_CF_RGBA8888
LV_IMG_CF_RGBX8888
LV_IMG_CF_RGB565
LV_IMG_CF_RGBA5658
LV_IMG_CF_RGB565A8

// File: ../../lvgl/src/draw/lv_img_cache.h
// File: ../../lvgl/src/draw/lv_img_decoder.h
LV_IMG_SRC_VARIABLE
LV_IMG_SRC_FILE
LV_IMG_SRC_SYMBOL
LV_IMG_SRC_UNKNOWN

// File: ../../lvgl/src/extra/layouts/flex/lv_flex.h
LV_FLEX_ALIGN_START
LV_FLEX_ALIGN_END
LV_FLEX_ALIGN_CENTER
LV_FLEX_ALIGN_SPACE_EVENLY
LV_FLEX_ALIGN_SPACE_AROUND
LV_FLEX_ALIGN_SPACE_BETWEEN

LV_FLEX_FLOW_ROW
LV_FLEX_FLOW_COLUMN
LV_FLEX_FLOW_ROW_WRAP
LV_FLEX_FLOW_ROW_REVERSE
LV_FLEX_FLOW_ROW_WRAP_REVERSE
LV_FLEX_FLOW_COLUMN_WRAP
LV_FLEX_FLOW_COLUMN_REVERSE
LV_FLEX_FLOW_COLUMN_WRAP_REVERSE

LV_OBJ_FLAG_FLEX_IN_NEW_TRACK
// File: ../../lvgl/src/extra/layouts/grid/lv_grid.h
LV_GRID_ALIGN_START
LV_GRID_ALIGN_CENTER
LV_GRID_ALIGN_END
LV_GRID_ALIGN_STRETCH
LV_GRID_ALIGN_SPACE_EVENLY
LV_GRID_ALIGN_SPACE_AROUND
LV_GRID_ALIGN_SPACE_BETWEEN

LV_GRID_CONTENT
LV_GRID_TEMPLATE_LAST
// File: ../../lvgl/src/extra/layouts/lv_layouts.h
// File: ../../lvgl/src/extra/widgets/animimg/lv_animimg.h
LV_ANIM_IMG_PART_MAIN

// File: ../../lvgl/src/extra/widgets/calendar/lv_calendar.h
// File: ../../lvgl/src/extra/widgets/calendar/lv_calendar_header_arrow.h
// File: ../../lvgl/src/extra/widgets/calendar/lv_calendar_header_dropdown.h
// File: ../../lvgl/src/extra/widgets/chart/lv_chart.h
LV_CHART_TYPE_NONE
LV_CHART_TYPE_LINE
LV_CHART_TYPE_BAR
LV_CHART_TYPE_SCATTER

LV_CHART_UPDATE_MODE_SHIFT
LV_CHART_UPDATE_MODE_CIRCULAR

LV_CHART_AXIS_PRIMARY_Y
LV_CHART_AXIS_SECONDARY_Y
LV_CHART_AXIS_PRIMARY_X
LV_CHART_AXIS_SECONDARY_X
LV_CHART_DRAW_PART_DIV_LINE_INIT
LV_CHART_DRAW_PART_DIV_LINE_HOR
LV_CHART_DRAW_PART_DIV_LINE_VER
LV_CHART_DRAW_PART_LINE_AND_POINT
LV_CHART_DRAW_PART_BAR
LV_CHART_DRAW_PART_CURSOR
LV_CHART_DRAW_PART_TICK_LABEL

LV_CHART_POINT_NONE
// File: ../../lvgl/src/extra/widgets/colorwheel/lv_colorwheel.h
LV_COLORWHEEL_MODE_HUE
LV_COLORWHEEL_MODE_SATURATION
LV_COLORWHEEL_MODE_VALUE
// File: ../../lvgl/src/extra/widgets/imgbtn/lv_imgbtn.h
LV_IMGBTN_STATE_RELEASED
LV_IMGBTN_STATE_PRESSED
LV_IMGBTN_STATE_DISABLED
LV_IMGBTN_STATE_CHECKED_RELEASED
LV_IMGBTN_STATE_CHECKED_PRESSED
LV_IMGBTN_STATE_CHECKED_DISABLED

// File: ../../lvgl/src/extra/widgets/keyboard/lv_keyboard.h

// File: ../../lvgl/src/extra/widgets/led/lv_led.h
LV_LED_DRAW_PART_RECTANGLE

// File: ../../lvgl/src/extra/widgets/list/lv_list.h
// File: ../../lvgl/src/extra/widgets/lv_widgets.h
// File: ../../lvgl/src/extra/widgets/menu/lv_menu.h
LV_MENU_HEADER_TOP_FIXED
LV_MENU_HEADER_TOP_UNFIXED
LV_MENU_HEADER_BOTTOM_FIXED
LV_MENU_ROOT_BACK_BTN_DISABLED
LV_MENU_ROOT_BACK_BTN_ENABLED
// File: ../../lvgl/src/extra/widgets/meter/lv_meter.h
LV_METER_INDICATOR_TYPE_NEEDLE_IMG
LV_METER_INDICATOR_TYPE_NEEDLE_LINE
LV_METER_INDICATOR_TYPE_SCALE_LINES
LV_METER_INDICATOR_TYPE_ARC

LV_METER_DRAW_PART_ARC
LV_METER_DRAW_PART_NEEDLE_LINE
LV_METER_DRAW_PART_NEEDLE_IMG
LV_METER_DRAW_PART_TICK

// File: ../../lvgl/src/extra/widgets/msgbox/lv_msgbox.h
// File: ../../lvgl/src/extra/widgets/span/lv_span.h
LV_SPAN_OVERFLOW_CLIP
LV_SPAN_OVERFLOW_ELLIPSIS

LV_SPAN_MODE_FIXED
LV_SPAN_MODE_EXPAND
LV_SPAN_MODE_BREAK

// File: ../../lvgl/src/extra/widgets/spinbox/lv_spinbox.h
// File: ../../lvgl/src/extra/widgets/spinner/lv_spinner.h
// File: ../../lvgl/src/extra/widgets/tabview/lv_tabview.h
// File: ../../lvgl/src/extra/widgets/tileview/lv_tileview.h
// File: ../../lvgl/src/extra/widgets/win/lv_win.h
// File: ../../lvgl/src/hal/lv_hal.h
// File: ../../lvgl/src/hal/lv_hal_disp.h
LV_DISP_ROT_NONE
LV_DISP_ROT_90
LV_DISP_ROT_180
LV_DISP_ROT_270
// File: ../../lvgl/src/hal/lv_hal_indev.h
LV_INDEV_TYPE_NONE
LV_INDEV_TYPE_POINTER
LV_INDEV_TYPE_KEYPAD
LV_INDEV_TYPE_BUTTON
LV_INDEV_TYPE_ENCODER

LV_INDEV_STATE_RELEASED
LV_INDEV_STATE_PRESSED
// File: ../../lvgl/src/hal/lv_hal_tick.h
// File: ../../lvgl/src/misc/lv_anim.h
LV_ANIM_OFF
LV_ANIM_ON

LV_ANIM_REPEAT_INFINITE
LV_ANIM_PLAYTIME_INFINITE
// File: ../../lvgl/src/misc/lv_anim_timeline.h
// File: ../../lvgl/src/misc/lv_area.h
LV_ALIGN_DEFAULT
LV_ALIGN_TOP_LEFT
LV_ALIGN_TOP_MID
LV_ALIGN_TOP_RIGHT
LV_ALIGN_BOTTOM_LEFT
LV_ALIGN_BOTTOM_MID
LV_ALIGN_BOTTOM_RIGHT
LV_ALIGN_LEFT_MID
LV_ALIGN_RIGHT_MID
LV_ALIGN_CENTER
LV_ALIGN_OUT_TOP_LEFT
LV_ALIGN_OUT_TOP_MID
LV_ALIGN_OUT_TOP_RIGHT
LV_ALIGN_OUT_BOTTOM_LEFT
LV_ALIGN_OUT_BOTTOM_MID
LV_ALIGN_OUT_BOTTOM_RIGHT
LV_ALIGN_OUT_LEFT_TOP
LV_ALIGN_OUT_LEFT_MID
LV_ALIGN_OUT_LEFT_BOTTOM
LV_ALIGN_OUT_RIGHT_TOP
LV_ALIGN_OUT_RIGHT_MID
LV_ALIGN_OUT_RIGHT_BOTTOM

LV_DIR_NONE
LV_DIR_LEFT
LV_DIR_RIGHT
LV_DIR_TOP
LV_DIR_BOTTOM
LV_DIR_HOR
LV_DIR_VER
LV_DIR_ALL

LV_SIZE_CONTENT
LV_COORD_MAX
LV_COORD_MIN
// File: ../../lvgl/src/misc/lv_assert.h
// File: ../../lvgl/src/misc/lv_async.h
// File: ../../lvgl/src/misc/lv_bidi.h
LV_BASE_DIR_LTR
LV_BASE_DIR_RTL
LV_BASE_DIR_AUTO
LV_BASE_DIR_NEUTRAL
LV_BASE_DIR_WEAK

// File: ../../lvgl/src/misc/lv_color.h
LV_OPA_TRANSP
LV_OPA_0
LV_OPA_10
LV_OPA_20
LV_OPA_30
LV_OPA_40
LV_OPA_50
LV_OPA_60
LV_OPA_70
LV_OPA_80
LV_OPA_90
LV_OPA_100
LV_OPA_COVER

LV_PALETTE_RED
LV_PALETTE_PINK
LV_PALETTE_PURPLE
LV_PALETTE_DEEP_PURPLE
LV_PALETTE_INDIGO
LV_PALETTE_BLUE
LV_PALETTE_LIGHT_BLUE
LV_PALETTE_CYAN
LV_PALETTE_TEAL
LV_PALETTE_GREEN
LV_PALETTE_LIGHT_GREEN
LV_PALETTE_LIME
LV_PALETTE_YELLOW
LV_PALETTE_AMBER
LV_PALETTE_ORANGE
LV_PALETTE_DEEP_ORANGE
LV_PALETTE_BROWN
LV_PALETTE_BLUE_GREY
LV_PALETTE_GREY
LV_PALETTE_NONE

LV_COLOR_DEPTH
LV_COLOR_16_SWAP
// File: ../../lvgl/src/misc/lv_fs.h
LV_FS_RES_OK
LV_FS_RES_HW_ERR
LV_FS_RES_FS_ERR
LV_FS_RES_NOT_EX
LV_FS_RES_FULL
LV_FS_RES_LOCKED
LV_FS_RES_DENIED
LV_FS_RES_BUSY
LV_FS_RES_TOUT
LV_FS_RES_NOT_IMP
LV_FS_RES_OUT_OF_MEM
LV_FS_RES_INV_PARAM
LV_FS_RES_UNKNOWN

LV_FS_MODE_WR
LV_FS_MODE_RD

LV_FS_SEEK_SET
LV_FS_SEEK_CUR
LV_FS_SEEK_END

// File: ../../lvgl/src/misc/lv_gc.h
// File: ../../lvgl/src/misc/lv_ll.h
// File: ../../lvgl/src/misc/lv_log.h
LV_LOG_LEVEL_TRACE
LV_LOG_LEVEL_INFO
LV_LOG_LEVEL_WARN
LV_LOG_LEVEL_ERROR
LV_LOG_LEVEL_USER
LV_LOG_LEVEL_NONE
// File: ../../lvgl/src/misc/lv_lru.h
// File: ../../lvgl/src/misc/lv_math.h
// File: ../../lvgl/src/misc/lv_mem.h
// File: ../../lvgl/src/misc/lv_printf.h
// File: ../../lvgl/src/misc/lv_style.h
LV_BLEND_MODE_NORMAL
LV_BLEND_MODE_ADDITIVE
LV_BLEND_MODE_SUBTRACTIVE
LV_BLEND_MODE_MULTIPLY
LV_BLEND_MODE_REPLACE

LV_TEXT_DECOR_NONE
LV_TEXT_DECOR_UNDERLINE
LV_TEXT_DECOR_STRIKETHROUGH

LV_BORDER_SIDE_NONE
LV_BORDER_SIDE_BOTTOM
LV_BORDER_SIDE_TOP
LV_BORDER_SIDE_LEFT
LV_BORDER_SIDE_RIGHT
LV_BORDER_SIDE_FULL
LV_BORDER_SIDE_INTERNAL

LV_GRAD_DIR_NONE
LV_GRAD_DIR_VER
LV_GRAD_DIR_HOR

LV_DITHER_NONE
LV_DITHER_ORDERED
LV_DITHER_ERR_DIFF

LV_STYLE_PROP_INV
LV_STYLE_WIDTH
LV_STYLE_MIN_WIDTH
LV_STYLE_MAX_WIDTH
LV_STYLE_HEIGHT
LV_STYLE_MIN_HEIGHT
LV_STYLE_MAX_HEIGHT
LV_STYLE_X
LV_STYLE_Y
LV_STYLE_ALIGN
LV_STYLE_LAYOUT
LV_STYLE_RADIUS
LV_STYLE_PAD_TOP
LV_STYLE_PAD_BOTTOM
LV_STYLE_PAD_LEFT
LV_STYLE_PAD_RIGHT
LV_STYLE_PAD_ROW
LV_STYLE_PAD_COLUMN
LV_STYLE_BASE_DIR
LV_STYLE_CLIP_CORNER
LV_STYLE_BG_COLOR
LV_STYLE_BG_OPA
LV_STYLE_BG_GRAD_COLOR
LV_STYLE_BG_GRAD_DIR
LV_STYLE_BG_MAIN_STOP
LV_STYLE_BG_GRAD_STOP
LV_STYLE_BG_GRAD
LV_STYLE_BG_DITHER_MODE
LV_STYLE_BG_IMG_SRC
LV_STYLE_BG_IMG_OPA
LV_STYLE_BG_IMG_RECOLOR
LV_STYLE_BG_IMG_RECOLOR_OPA
LV_STYLE_BG_IMG_TILED
LV_STYLE_BORDER_COLOR
LV_STYLE_BORDER_OPA
LV_STYLE_BORDER_WIDTH
LV_STYLE_BORDER_SIDE
LV_STYLE_BORDER_POST
LV_STYLE_OUTLINE_WIDTH
LV_STYLE_OUTLINE_COLOR
LV_STYLE_OUTLINE_OPA
LV_STYLE_OUTLINE_PAD
LV_STYLE_SHADOW_WIDTH
LV_STYLE_SHADOW_OFS_X
LV_STYLE_SHADOW_OFS_Y
LV_STYLE_SHADOW_SPREAD
LV_STYLE_SHADOW_COLOR
LV_STYLE_SHADOW_OPA
LV_STYLE_IMG_OPA
LV_STYLE_IMG_RECOLOR
LV_STYLE_IMG_RECOLOR_OPA
LV_STYLE_LINE_WIDTH
LV_STYLE_LINE_DASH_WIDTH
LV_STYLE_LINE_DASH_GAP
LV_STYLE_LINE_ROUNDED
LV_STYLE_LINE_COLOR
LV_STYLE_LINE_OPA
LV_STYLE_ARC_WIDTH
LV_STYLE_ARC_ROUNDED
LV_STYLE_ARC_COLOR
LV_STYLE_ARC_OPA
LV_STYLE_ARC_IMG_SRC
LV_STYLE_TEXT_COLOR
LV_STYLE_TEXT_OPA
LV_STYLE_TEXT_FONT
LV_STYLE_TEXT_LETTER_SPACE
LV_STYLE_TEXT_LINE_SPACE
LV_STYLE_TEXT_DECOR
LV_STYLE_TEXT_ALIGN
LV_STYLE_OPA
LV_STYLE_COLOR_FILTER_DSC
LV_STYLE_COLOR_FILTER_OPA
LV_STYLE_ANIM
LV_STYLE_ANIM_TIME
LV_STYLE_ANIM_SPEED
LV_STYLE_TRANSITION
LV_STYLE_BLEND_MODE
LV_STYLE_TRANSFORM_WIDTH
LV_STYLE_TRANSFORM_HEIGHT
LV_STYLE_TRANSLATE_X
LV_STYLE_TRANSLATE_Y
LV_STYLE_TRANSFORM_ZOOM
LV_STYLE_TRANSFORM_ANGLE
LV_STYLE_TRANSFORM_PIVOT_X
LV_STYLE_TRANSFORM_PIVOT_Y
LV_STYLE_PROP_ANY
LV_STYLE_RES_NOT_FOUND
LV_STYLE_RES_FOUND
LV_STYLE_RES_INHERIT
LV_IMG_ZOOM_NONE
// File: ../../lvgl/src/misc/lv_style_gen.h
// File: ../../lvgl/src/misc/lv_templ.h
// File: ../../lvgl/src/misc/lv_timer.h
// File: ../../lvgl/src/misc/lv_tlsf.h
// File: ../../lvgl/src/misc/lv_txt.h
LV_TEXT_FLAG_NONE
LV_TEXT_FLAG_RECOLOR
LV_TEXT_FLAG_EXPAND
LV_TEXT_FLAG_FIT

LV_TEXT_CMD_STATE_WAIT
LV_TEXT_CMD_STATE_PAR
LV_TEXT_CMD_STATE_IN

LV_TEXT_ALIGN_AUTO
LV_TEXT_ALIGN_LEFT
LV_TEXT_ALIGN_CENTER
LV_TEXT_ALIGN_RIGHT

// File: ../../lvgl/src/misc/lv_txt_ap.h
// File: ../../lvgl/src/misc/lv_types.h
LV_RES_INV
LV_RES_OK

// File: ../../lvgl/src/misc/lv_utils.h
// File: ../../lvgl/src/widgets/lv_arc.h
LV_ARC_MODE_NORMAL
LV_ARC_MODE_SYMMETRICAL
LV_ARC_MODE_REVERSE
LV_ARC_DRAW_PART_BACKGROUND
LV_ARC_DRAW_PART_FOREGROUND
LV_ARC_DRAW_PART_KNOB

// File: ../../lvgl/src/widgets/lv_bar.h
LV_BAR_MODE_NORMAL
LV_BAR_MODE_SYMMETRICAL
LV_BAR_MODE_RANGE
LV_BAR_DRAW_PART_INDICATOR

// File: ../../lvgl/src/widgets/lv_btn.h
// File: ../../lvgl/src/widgets/lv_btnmatrix.h
LV_BTNMATRIX_CTRL_HIDDEN
LV_BTNMATRIX_CTRL_NO_REPEAT
LV_BTNMATRIX_CTRL_DISABLED
LV_BTNMATRIX_CTRL_CHECKABLE
LV_BTNMATRIX_CTRL_CHECKED
LV_BTNMATRIX_CTRL_CLICK_TRIG
LV_BTNMATRIX_CTRL_POPOVER
LV_BTNMATRIX_CTRL_RECOLOR
LV_BTNMATRIX_CTRL_CUSTOM_1
LV_BTNMATRIX_CTRL_CUSTOM_2

LV_BTNMATRIX_DRAW_PART_BTN

LV_BTNMATRIX_BTN_NONE
// File: ../../lvgl/src/widgets/lv_canvas.h
// File: ../../lvgl/src/widgets/lv_checkbox.h
LV_CHECKBOX_DRAW_PART_BOX

// File: ../../lvgl/src/widgets/lv_dropdown.h
LV_DROPDOWN_POS_LAST
// File: ../../lvgl/src/widgets/lv_img.h
LV_IMG_SIZE_MODE_VIRTUAL
LV_IMG_SIZE_MODE_REAL

// File: ../../lvgl/src/widgets/lv_label.h
LV_LABEL_LONG_WRAP
LV_LABEL_LONG_DOT
LV_LABEL_LONG_SCROLL
LV_LABEL_LONG_SCROLL_CIRCULAR
LV_LABEL_LONG_CLIP

LV_LABEL_DOT_NUM
LV_LABEL_POS_LAST
LV_LABEL_TEXT_SELECTION_OFF
// File: ../../lvgl/src/widgets/lv_line.h
// File: ../../lvgl/src/widgets/lv_objx_templ.h
// File: ../../lvgl/src/widgets/lv_roller.h
LV_ROLLER_MODE_NORMAL
LV_ROLLER_MODE_INFINITE

// File: ../../lvgl/src/widgets/lv_slider.h
LV_SLIDER_MODE_NORMAL
LV_SLIDER_MODE_SYMMETRICAL
LV_SLIDER_MODE_RANGE
LV_SLIDER_DRAW_PART_KNOB
LV_SLIDER_DRAW_PART_KNOB_LEFT

// File: ../../lvgl/src/widgets/lv_switch.h
// File: ../../lvgl/src/widgets/lv_table.h
LV_TABLE_CELL_CTRL_MERGE_RIGHT
LV_TABLE_CELL_CTRL_TEXT_CROP
LV_TABLE_CELL_CTRL_CUSTOM_1
LV_TABLE_CELL_CTRL_CUSTOM_2
LV_TABLE_CELL_CTRL_CUSTOM_3
LV_TABLE_CELL_CTRL_CUSTOM_4

LV_TABLE_DRAW_PART_CELL

LV_TABLE_CELL_NONE
// File: ../../lvgl/src/widgets/lv_textarea.h
LV_PART_TEXTAREA_PLACEHOLDER

LV_TEXTAREA_CURSOR_LAST
